@echo off
pushd %0\..

set OLD_PATH=%PATH%
set PATH=V:\Dev\Builder\Tools;%SystemRoot%\system32;%PATH%

rem goto :thisone

mkdir ..\..\runimage
mkdir ..\..\runimage\wince_armv4

echo --- SPRINGPROX : WINCE/ARMV4 ---
echo.
make -f Makefile_wince_armv4 springprox
if errorlevel 1 goto :make_failed
if not exist ..\..\runimage\wince_armv4\springprox.dll goto :file_missing

echo --- DESFIRE : WINCE/ARMV4 ---
echo.
make -f Makefile_wince_armv4 sprox_desfire
if errorlevel 1 goto :make_failed
if not exist ..\..\runimage\wince_armv4\sprox_desfire.dll goto :file_missing

echo --- CALYPSO : WINCE/ARMV4 ---
echo.
make -f Makefile_wince_armv4 sprox_calypso
if errorlevel 1 goto :make_failed
if not exist ..\..\runimage\wince_armv4\sprox_calypso.dll goto :file_missing

echo.
echo **** OK, compilation terminee ****
echo.

:ask_clean
if exist ..\clean.no goto :done
if exist ..\clean.yes goto :clean

echo.Ready to clean, Ctrl+C to keep objects
pause

:clean
make -f Makefile_wince_armv4 clean

goto :done

:make_failed

echo.
echo **** ERREUR DURANT LA COMPILATION ****
echo.
goto :ask_clean

:file_missing

echo.
echo **** FICHIER DE SORTIE NON TROUVE ****
echo.
goto :done

:done
pause
rm vc60.pch
rm -Rf BuildTmp

set PATH=%OLD_PATH%

popd


